Skip to main content

Standard Software Technical Requirements

Academic Software

Name Technical Requirements

Apporto Virtual Lab

Latest version of Google Chrome

Blackboard Collaborate 

Windows
• Windows 8
• Windows 8.1
• Windows 10

Mac
System Requirements: You may install Bitdefender Antivirus for Mac only on Intel-based Macintosh computers with macOS Yosemite (10.10) and later.

Additional Requirements: 
• 256 MB RAM
• 20 MB free disk space
• Internet Access - 28.8 kbps speed or above (Broadband connection highly recommended)
• Soundcard with microphone and headphones (A headset with microphone/headphones is highly recommended)
• Webcam (optional)
• Note: Thin client solutions such as Citrix Metaframe and Virtual Machines are NOT supported for use with Blackboard Collaborate Web Conferencing.

Supported Browsers: Safari 13.X, Firefox (Latest Stable Release), Chrome (Stable Channel)

Blackboard Learn

Minimum
Operating System: Windows 10, version 1809 or higher, Mac OSX 10.13 or higher   
Processor: 1 GHz processor    
Memory: 512 MB of RAM           
Monitor Resolution: 1024 x 768 
Free Hard Disk Space: 5 GB of free disk space           
Internet Connection: Broadband (high-speed) Internet connection with a consistent minimum speed of 1.5 Mbps.  
Internet Browser: Respondus Lockdown Browser and IE11, Microsoft Edge, Safari , Chrome or Firefox    

Recommended 
Operating System: Windows 10 version 2004, Mac OS 10.15
Processor: 2 GHz or faster processor
Memory: 2 GB of RAM or higher
Monitor Resolution: 1024 x 768 or higher
Free Hard Disk Space: 20 GB or higher of free space
Internet Connection: Broadband (high-speed) Internet connection with a speed of 4 Mbps or higher
Internet Browser: Respondus Lockdown Browser and Firefox

Grammarly

Grammarly offers a free browser extension for Google Chrome 51, Safari 10, Firefox 54, and Microsoft Edge 14. (WebVersion) https://support.grammarly.com/hc/en-us/articles/115000090811-What-do-I-need-in-order-to-use-Grammarly-

Google Workspace

Chrome
We support the latest version of Google Chrome. Normally, Chrome updates automatically when a new version becomes available. If you don't have the latest version, you can update Chrome yourself. For details, see Update Google Chrome.
MATLAB
Firefox, Safari, and Microsoft:
We support the current and the previous release of Firefox®, Safari®, and Microsoft® browsers (Microsoft Edge™ and Internet Explorer® 11). Each time a new browser version is released, we begin supporting that version and stop supporting the third most recent version. For accessibility, Edge and Internet Explorer aren't supported and may not work with accessibility features. We recommend using Chrome or Firefox.
Operating Systems:
Windows 10 (version 1709 or higher)
Windows 7 Service Pack 1
Windows Server 2019
Windows Server 2016
Processors:
Minimum: Any Intel or AMD x86-64 processor
Recommended: Any Intel or AMD x86-64 processor with four logical cores and AVX2 instruction set support
Disk:
Minimum: 3 GB of HDD space for MATLAB only, 5-8 GB for a typical installation
Recommended: An SSD is recommended
A full installation of all MathWorks products may take up to 31 GB of disk space
RAM:
Minimum: 4 GB
Recommended: 8 GB
For Polyspace, 4 GB per core is recommended
Graphics:
No specific graphics card is required.
Hardware accelerated graphics card supporting OpenGL 3.3 with 1GB GPU memory is recommended.

MS Office 365 Online

Computer and Processor:
Windows OS: 1.6 GHz or faster, 2-core
macOS: Intel processor
Memory:
Windows OS: 4 GB RAM; 2 GB RAM (32-bit)
macOS: 4 GB RAM
Hard disk:
Windows OS: 4 GB of available disk space
macOS: 10 GB of available disk space; HFS+ hard disk format (also known as Mac OS Extended) or APFS Updates may require additional storage over time.
Display:
Windows OS: 1280 x 768 screen resolution (32-bit requires hardware acceleration for 4K and higher)
macOS: 1280 x 800 screen resolution
Graphics:
Windows OS: Graphics hardware acceleration requires DirectX 9 or later, with WDDM 2.0 or higher for Windows 10 (or WDDM 1.3 or higher for Windows 10 Fall Creators Update).
macOS: No graphics requirements.
Operating system:
Windows OS: Windows 10, Windows 8.1, Windows Server 2019, Windows Server 2016
macOS: One of the three most recent versions of macOS. When a new major version of macOS is released, the macOS and the previous two versions.
For the best experience, use the most current build of any operating system specified above. Product functionality and feature availability may vary on older systems (Search Microsoft Lifecycle Policy).
Browser:
The current version of Microsoft Edge, Internet Explorer, Safari, Chrome, or Firefox. Get more detail.
.NET version
Windows OS: some features may require .NET 3.5 or 4.6 and higher to also be installed.
Other:
Internet functionality requires an internet connection. Fees may apply.
A touch-enabled device is required to use any multitouch functionality, but all features and functionality are always available by using a keyboard, mouse, or other standard or accessible input device. Note that touch features are optimized for use with Windows 10 or Windows 8.1.
Product functionality and graphics may vary based on your system configuration. Some features may require additional or advanced hardware or server connectivity.
A Microsoft or organizational account is required for licensing and access to services.
Skype requires a standard laptop camera or USB 2.0 video camera, a microphone, and an audio output device in order to utilize its full range of calling features.

Panopto 

https://support.panopto.com/s/article/System-Requirements

Qualtrics

Qualtrics is an internet-based software that works on PCs & Macs and is supported on Internet Explorer, Firefox, Safari, and Chrome.

SPSS/SAS

https://www.ibm.com/support/pages/release-notes-ibm%C2%AE-spss%C2%AE-statistics-250

Turnitin

https://help.turnitin.com/system-requirements.htm

Zoom Meeting

https://support.zoom.us/hc/en-us/articles/204003179-System-Requirements-for-Zoom-Rooms

Zoom Webinar

https://support.zoom.us/hc/en-us/articles/204003179-System-Requirements-for-Zoom-Rooms


Administrative Software

Name Technical Requirements

Acoustic Marketing Automation (Fordham Messaging Platform / FMP)

Browser requirements: Chrome version 60 or later and Firefox version 54 or later.

Banner Finance, HR and Student

Browsers that are Supported: Chrome, Firefox, Apple Safari, Microsoft Edge (version 44.x and lower)

Concur Travel & Expense

https://www.concurtraining.com/customers/tech_pubs/Docs/Z_SuppConfig/Supported_Configurations_for_Concur_Travel_and_Expense_Client-Facing.pdf

CRM Advance Fundraising

 

Docusign 

 

Hyland OnBase

Hyland Onbase Disconnected Scanning: 

Hyland Virtual Print Driver: Unity Client installation required to leverage Virtual Print Driver

Hyland OnBase Unity Forms: Microsoft Internet Explorer 11 • Microsoft Edge (EdgeHTML 16 and greater) • Google Chrome 80 and greater • Mozilla Firefox 68 and greater • Apple Safari 13.0 and greater

Hyland Onbase Workflow

Hyland OnBase Web Client/Workflow: Apple Safari 13.0x or higher, Mozilla Firefox/ESR 68 or higher, Google Chrome 80 or higher, EdgeHTML 16+ or higher

Hyland OnBase Unity Client/Workflow: Transport Layer Security (TLS) 1.2 or later. Microsoft Visual C++ Redistributable Packages (Varies), Requires the installation of the Unity Client software.Windows 8.1, Windows 10

Microsoft Power BI

PowerBI supported browsers:
Chrome, Firefox, Safari, Edge - latest versions.
IE version 11
https://docs.microsoft.com/en-us/power-bi/fundamentals/power-bi-browsers

PowerFaids

OS: Windows 8.1 or 10
Software: Microsoft Office 2010, 2013, 2016, 365
Microsoft .NET Framework: 4.6.1
Crystal Report Runtime Libraries for .NET 13.0

Slate

 

StarRez

StarRez supports the latest two versions of the following browsers:
Google Chrome
Mozilla Firefox
Apple Safari
Microsoft Edge (Chromium)

We do not support:
Internet Explorer
Microsoft Edge Legacy
Mozilla Firefox - Extended Support Release

Terminal Four

 

TouchNet

 

Visix/Axis TV

Chrome browser required to access https://fordham.visix.com.

WebFOCUS 

WebFOCUS 8.2.05.08 supported browsers:
Chrome version 72
Firefox version 65
Edge version 42
IE version 11

Zoom Meeting

https://support.zoom.us/hc/en-us/articles/204003179-System-Requirements-for-Zoom-Rooms

Zoom Webinar

https://support.zoom.us/hc/en-us/articles/204003179-System-Requirements-for-Zoom-Rooms

Security and Risk Management Standards Software

Fordham University requires the installation and up-to-date versions of various IT security and security enabling tools. This is required of all faculty and staff desktops and laptops. If your machine is missing any of these tools, please contact IT Customer Care.

Name Technical Requirements

CrowdStrike Falcon Endpoint Protection 

Hardware: Besides the disk space required for the installation ( < 100MB) CrowdStrike has no specific hardware requirements. Essentially, the sensor will function on any hardware that can run the supported OS. The sensor uses a nominal amount of processing and memory while running. 

Network Requirements: Hosts must remain connected to the CrowdStrike cloud throughout installation, TLS traffic must be permitted between the host’s network and the CrowdStrike cloud network, Deep packet inspection should be disabled on the network as this may interfere.

OS Requirements
Windows OS: Only these operating systems are supported for use with the Falcon sensor for Windows
  • 64-bit Server OSes: Windows Server 2019 – requires WIN sensor 4.18.8104+, Windows Server Core 2019 - requires WIN sensor 5.13.9404+, Windows Server 2016, Windows Server Core 2016 - requires WIN sensor 5.12.9302+, Windows Server 2012 R2, Windows Storage Server 2012 R2, Windows Server 2012, Windows Server 2008 R2 SP1
  • 64-bit Desktop OSes: Windows 10 November 2019 Update v1909 aka 19H2 – requires WIN sensor 5.19.10102+, Windows 10 May 2019 Update v1903 aka 19H1 – requires WIN sensor 5.12.9302+, Windows 10 October 2018 Update v1809 aka RS5 – requires WIN sensor 4.17.8003+, Windows 10 April 2018 Update v1803 aka RS4 - requires WIN sensor 4.4.6711+, Windows 10 Fall Creators Update v1709 aka RS3 - requires WIN sensor 3.8.5906+, Windows 10 Anniversary Update v1607 aka RS1, Windows 10 v1507 aka Threshold 1, Windows 10 IOT Enterprise v1909 (19H2)- requires WIN sensor 5.26.10806+, Windows 10 IOT Enterprise v1903 (19H1) - requires WIN sensor 5.26.10806+, Windows 10 IOT Enterprise v1809 (RS5) - requires WIN sensor 5.26.10806+, Windows 8.1, Windows 7 SP1, Windows 7 Embedded
  • 32-bit Desktop OSes: Windows 10 November 2019 Update v1909 aka 19H2* – requires WIN sensor 5.26.10806+, Windows 10 May 2019 Update v1903 aka 19H1* – requires WIN sensor 5.26.10806+, Windows 10 October 2018 Update v1809 aka RS5* – requires WIN sensor 5.26.10806+, Windows 7 SP1, Windows 7 Embedded POS Ready

Mac OS
Supported Mac OS versions: macOS Catalina 10.15* and later (sensor 5.19.9906 and later), macOS Mojave 10.14† and later (sensor 4.13.7501 and later), macOS High Sierra 10.13‡ and later (sensor 3.6.5703 and later)

Linux OS
CrowdStrike supports x86_64 versions of these Linux server OSes: 
  • Amazon Linux 2, 
  • Amazon Linux AMI: 2018.03, 2017.09, 2017.03
  • CentOS: 7.1 – 7.8, 6.7 – 6.10, 8.0 - 8.1
  • Debian 9
  • Oracle Linux: Oracle Linux 6 - UEK 3, 4; Oracle Linux 7 - UEK 3, 4, 5; Red Hat Compatible Kernel (supported RHCK kernels are the same as RHEL)
  • Red Hat Enterprise Linux (RHEL): 7.1-7.8, 6.7-6.10, 8.0 - 8.
  • SUSE Linux Enterprise: 15, 12.1 – 12.4, 11.4 (you must also install OpenSSL version 1.0.1e or greater)
  • Ubuntu: 18-AWS, 18.04 LTS, 16-AWS, 16.04 LTS, 14.04 LTS

LANDESK Agent

Windows Agent Supported OS and requirements:
Windows 7 , 8.1 ,10
Windows server 2008+

Microsoft .NET 4.5+ (will be installed upon agent installation, if not present on system)

MacOS Agent Supported OS:
10.13+ MacOS version

LogMeIn

Host Device
Supported Operating Systems: Windows 7 or newer (including 64-bit); On Intel-based Macs: OS X 10.12 (Sierra) or newer; Windows Server 2008R2 or newer (including 64-bit); Linux, Chromebook and Windows RT are not supported
Important: Make sure you are using up to date, officially supported third-party technology together with LogMeIn. LogMeIn is designed for use with third-party products and services (browser, OS, etc.) that are officially supported by their respective vendors and well-maintained by the end user (latest patches and updates installed). Learn more
Internet Connection: Remote control performance depends on several factors, such as screen resolution, color depth, type of activity, available bandwidth and latency.
For connecting and doing non-remote control work, any always-on internet connection is sufficient.
For remote control, we require a 1.5 Mbit/s (192 Kbyte/s) or higher connection speed on each end, as per FCC guidelines for video streaming. For optimal experience in Full HD resolution, a 2 Mbit/s (256 Kbyte/s) connection is recommended.

Client Device
PC and Mac Client-side Operating System: Windows 7 or newer (including 64-bit); Windows Server 2008R2 or newer (including 64-bit); On a Mac: OS X 10.12 (Sierra) or newer; Linux, Chromebook and Windows RT are not supported
PC and Mac Client-side Browser: While we recommend connecting via the LogMeIn Client desktop app, you can still access LogMeIn host computers through a supported browser.
http://help.logmein.com/articles/en_US/FAQ/Requirements-for-browser-based-remote-control/
On Internet Explorer and older versions of other leading browsers, a plugin is required for a full-featured experience.
Phone or Tablet: Install LogMeIn on any iOS or Android device that meets the requirements shown in the current AppStore or GooglePlay listing.
Internet Connection: Remote control performance depends on several factors, such as screen resolution, color depth, type of activity, available bandwidth and latency.
For connecting and doing non-remote control work, any always-on internet connection is sufficient.
For remote control, we require a 1.5 Mbit/s (192 Kbyte/s) or higher connection speed on each end, as per FCC guidelines for video streaming. For optimal experience in Full HD resolution, a 2 Mbit/s (256 Kbyte/s) connection is recommended.

McAfee Full Disk Encryption

OS: Windows
OS Version: Windows 10 (version 2004, May 2020 Update being the latest), Windows 8, Windows 7, Windows Server 2008, Windows Server 2012, Windows Server 2016, Windows Server 2019
CPU: Pentium III 1 GHz or higher
RAM: 512 MB minimum (1 GB recommended)
Hard Disk: 200 MB minimum free disk space

OS: MacOS
OS Version: Catalina 10.15, Mojave 10.14, High Sierra 10.13, Sierra 10.12, El Capitan 10.11, Yosemite 10.10, Mavericks 10.9
CPU: Works on all Intel®-based systems
RAM: 1 GB minimum
Hard Disk: 1-GB minimum free disk space

Pulse Secure Access Agent

Windows
OS Version: Windows 10 Version 1903 10.0.18362.388, Windows 10 Redstone 5 Version 1809 (OS build 17763.437), Enterprise, 64 bit, Windows 10 Redstone 4 Version 1803 (OS build 17134.228), Windows 8.1 Enterprise, 64 bit, Windows 7 SP1 Enterprise, 64 bit, Windows 2012
Memory: 2 GB RAM
Processor: Intel / AMD, 1.8GHz, 32-bit (x86) or 64-bit (x64) processor
Disk Space: Install: 33 MB and Logging: 50 MB
Web Browser (Verified by Pulse Secure to work): Edge Browser 44.18362.329.0, Internet Explorer 11.356.18362.0, Firefox ESR 68.9.0esr, Chrome 77.0.3865.90

Mac
OS Version: macOS 10.14, 64 bit, macOS 10.13, 64 bit, macOS 10.12, 32 bit and 64 bit
Memory: 2 GB RAM
Processor: Intel / AMD, 1.8GHz, 32-bit (x86) or 64-bit (x64) processor
Disk Space: Install: 33 MB and Logging: 50 MB
Web Browser (Verified by Pulse Secure to work): Safari 13.x, 12.x, 11.x,10.x, 9.x and 8.x

Linux
OS Version:Ubuntu 18.04, 64 bit, Ubuntu 17.10, 64 bit, Ubuntu 16.04.04, 64 bit and 32 bit, Debian 9.4, 64 bit and 32 bit, Cent OS 7.4, 64 bit
RHEL 7.4, 64 bit, Fedora 27, 64 bit and 32 bit 
Memory: 2 GB RAM
Processor: Intel / AMD, 1.8GHz, 32-bit (x86) or 64-bit (x64) processor
Disk Space: Install: 33 MB and Logging: 50 MB
Web Browser (Verified by Pulse Secure to work): N/A

Qualys Cloud Agent

Windows
OS Version: Windows XP SP3 and above, Windows Server 2003 SP2 and above
Memory: 512 MB RAM
Processor: Not Listed
Disk Space: 200 MB

Mac
OS Version: OS X Yosemite (10.10), OS X El Capitan (10.11), macOS Sierra (10.12), macOS High Sierra (10.13), macOS Mojave (10.14), macOS Catalina (10.15) including Supplement Update 1,2,3,4
Memory: 512 MB RAM
Processor: Not listed
Disk Space: 200 MB

Linux
OS Version: Red Hat Enterprise Linux 5.4+, CentOS 5.4+, Fedora 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, SUSE Linux Enterprise Server (SLES) 15, SUSE Linux Enterprise Server (SLES) 12 SUSE Linux Enterprise Server (SLES) 11, openSUSE Leap 15.2 (2.6.0 or later) openSUSE Leap 15.1 openSUSE Leap 15.0 OpenSUSE 13 OpenSUSE 12, Leap 42.1, Amazon Linux 2016.09 Amazon Linux 2015.09, Amazon Linux 2, Amazon Linux 2018.03, Amazon Linux 2017.09, Amazon Linux 2017.03, Oracle Enterprise Linux 5.11, Oracle Enterprise Linux (OEL) 7 7.1, 7.2, 7.3, 7.4, 7.5 Oracle Enterprise Linux (OEL) 6, Debian 10.x, Debian 9.x Debian 8.x Debian 7.x ( Debian 9.x/8.x/7.x Vendor EOL May 2018), Ubuntu 12.04+
Memory: Minimum 512 MB RAM if you are using VM/PC. Minimum 1GB, RAM is required for VM/PC + FIM
Processor: Note listed
Disk Space: 200 MB

BSD
OS Version: FreeBSD 12.0, 11.x 
Memory: 512 MB RAM
Processor: Not listed
Disk Space: 200 MB

IBM AIX
OS Version: AIX 7.1 TL1, TL2, TL3, TL4, TL5 AIX 7.2 TL1, TL2, TL3, TL4 (Standard and Enterprise Editions), AIX 6.1 TL0-9 (Standard and Enterprise Editions) 
Memory: 512 MB RAM
Processor: Not listed
Disk Space: 200 MB

Spirion (formerly known as Identity Finder)

OS: Windows
OS Version: Windows 10, Windows 8, Windows 7 with Service Pack 3 (SP3) or higher, Windows Server 2008, Windows Server 2012, Windows Server 2016, Windows Server 2019. 
CPU: No additional requirements
RAM: No additional requirements 
Hard Disk: ~568 MB 

OS: MacOS
OS Version: Catalina 10.15, Mojave 10.14, High Sierra 10.13, Sierra 10.12, El Capitan 10.11, Yosemite 10.10, Mavericks 10.9
CPU: Intel based, no other requirements 
RAM: No additional requirements 
Hard Disk: ~248.5MB